---
- name: create an IP for "{{ instance_name }}"
  gcp_compute_address:
    name: "{{ instance_name }}"
    region: "{{ gcp_region }}"
    project: "{{ gcp_project }}"
    auth_kind: "{{ gcp_auth_kind }}"
    service_account_file: "{{ gcp_service_account_file }}"
    state: present
  register: address

- name: create disk for "{{ instance_name }}"
  gcp_compute_disk:
    name: "{{ instance_name }}"
    size_gb: "{{ disk_size_gb }}"
    source_image: "{{ image_os }}"
    zone: "{{ gcp_zone }}"
    project: "{{ gcp_project }}"
    auth_kind: "{{ gcp_auth_kind }}"
    service_account_file: "{{ gcp_service_account_file }}"
    state: present
  register: disk

- name: Create "{{ instance_name }}" instance
  gcp_compute_instance:
    state: present
    name: "{{ instance_name }}"
    machine_type: "{{ machine_type }}"
    disks:
    - auto_delete: true
      boot: true
      source: "{{ disk }}"
    network_interfaces:
    - network:
      access_configs:
      - name: External NAT
        nat_ip: "{{ address }}"
        type: ONE_TO_ONE_NAT
    zone: "{{ gcp_zone }}"
    project: "{{ gcp_project }}"
    auth_kind: "{{ gcp_auth_kind }}"
    service_account_file: "{{ gcp_service_account_file }}"
  register: instance

- debug:
    var: instance

...